import Product from '@vue-storefront/core/modules/catalog/types/Product';

export const createSimpleProduct = (): Product => ({
  'id': 21,
  'sku': '24-WG084',
  'name': 'Sprite Foam Yoga Brick',
  'price': 5,
  'status': 1,
  'visibility': 4,
  'type_id': 'simple',
  'product_links': [],
  'custom_attributes': null,
  'final_price': 5,
  'max_price': 5,
  'max_regular_price': 5,
  'minimal_regular_price': 5,
  'special_price': null,
  'minimal_price': 5,
  'regular_price': 5,
  'description': '<p>Our top-selling yoga prop, the 4-inch, high-quality Sprite Foam Yoga Brick is popular among yoga novices and studio professionals alike. An essential yoga accessory, the yoga brick is a critical tool for finding balance and alignment in many common yoga poses. Choose from 5 color options.</p>',
  'image': '/l/u/luma-yoga-brick.jpg',
  'small_image': '/l/u/luma-yoga-brick.jpg',
  'thumbnail': '/l/u/luma-yoga-brick.jpg',
  'color': '50',
  'category_ids': [3, 5],
  'url_key': 'sprite-foam-yoga-brick',
  'tax_class_id': '2',
  'slug': 'sprite-foam-yoga-brick-21',
  'media_gallery': [{ 'image': '/l/u/luma-yoga-brick.jpg', 'pos': 1, 'typ': 'image', 'lab': 'Image', 'vid': null }],
  'stock': { 'item_id': 21, 'product_id': 21, 'stock_id': 1, 'qty': 986, 'is_in_stock': true, 'is_qty_decimal': false, 'show_default_notification_message': false, 'use_config_min_qty': true, 'min_qty': 0, 'use_config_min_sale_qty': 1, 'min_sale_qty': 1, 'use_config_max_sale_qty': true, 'max_sale_qty': 10000, 'use_config_backorders': true, 'backorders': 0, 'use_config_notify_stock_qty': true, 'notify_stock_qty': 1, 'use_config_qty_increments': true, 'qty_increments': 0, 'use_config_enable_qty_inc': true, 'enable_qty_increments': false, 'use_config_manage_stock': true, 'manage_stock': true, 'low_stock_date': null, 'is_decimal_divided': false, 'stock_status_changed_auto': 0 },
  'category': [{ 'category_id': 3, 'name': 'Gear', 'slug': 'gear-3', 'path': 'gear/gear-3' }, { 'category_id': 5, 'name': 'Fitness Equipment', 'slug': 'fitness-equipment-5', 'path': 'gear/fitness-equipment/fitness-equipment-5' }],
  'url_path': 'gear/gear-3/sprite-foam-yoga-brick-21.html'
})

export const createGroupProduct = (): Product => ({
  'id': 2046,
  'sku': '24-WG085_Group',
  'name': 'Set of Sprite Yoga Straps',
  'status': 1,
  'visibility': 4,
  'type_id': 'grouped',
  'product_links': [{ 'sku': '24-WG085_Group', 'link_type': 'associated', 'linked_product_sku': '24-WG085', 'linked_product_type': 'simple', 'position': 0, 'extension_attributes': { 'qty': 20 } }, { 'sku': '24-WG085_Group', 'link_type': 'associated', 'linked_product_sku': '24-WG086', 'linked_product_type': 'simple', 'position': 1, 'extension_attributes': { 'qty': 30 } }, { 'sku': '24-WG085_Group', 'link_type': 'associated', 'linked_product_sku': '24-WG087', 'linked_product_type': 'simple', 'position': 2, 'extension_attributes': { 'qty': 40 } }],
  'custom_attributes': null,
  'final_price': 12,
  'price': 12,
  'max_price': 12,
  'max_regular_price': 12,
  'minimal_regular_price': 12,
  'special_price': null,
  'minimal_price': 12,
  'regular_price': 0,
  'description': '<p>Great set of Sprite Yoga Straps for every stretch and hold you need. There are three straps in this set: 6',
  'image': '/l/u/luma-yoga-strap-set.jpg',
  'small_image': '/l/u/luma-yoga-strap-set.jpg',
  'thumbnail': '/l/u/luma-yoga-strap-set.jpg',
  'category_ids': [3, 5],
  'url_key': 'set-of-sprite-yoga-straps',
  'slug': 'set-of-sprite-yoga-straps-2046',
  'links': { 'associated': [{ 'sku': '24-WG085', 'pos': 0 }, { 'sku': '24-WG086', 'pos': 1 }, { 'sku': '24-WG087', 'pos': 2 }] },
  'stock': { 'item_id': 2046, 'product_id': 2046, 'stock_id': 1, 'qty': 0, 'is_in_stock': true, 'is_qty_decimal': false, 'show_default_notification_message': false, 'use_config_min_qty': true, 'min_qty': 0, 'use_config_min_sale_qty': 1, 'min_sale_qty': 1, 'use_config_max_sale_qty': true, 'max_sale_qty': 10000, 'use_config_backorders': true, 'backorders': 0, 'use_config_notify_stock_qty': true, 'notify_stock_qty': 1, 'use_config_qty_increments': true, 'qty_increments': 0, 'use_config_enable_qty_inc': true, 'enable_qty_increments': false, 'use_config_manage_stock': true, 'manage_stock': true, 'low_stock_date': null, 'is_decimal_divided': false, 'stock_status_changed_auto': 0 },
  'media_gallery': [{ 'image': '/l/u/luma-yoga-strap-set.jpg', 'pos': 1, 'typ': 'image', 'lab': 'Image', 'vid': null }],
  'category': [{ 'category_id': 3, 'name': 'Gear', 'slug': 'gear-3', 'path': 'gear/gear-3' }, { 'category_id': 5, 'name': 'Fitness Equipment', 'slug': 'fitness-equipment-5', 'path': 'gear/fitness-equipment/fitness-equipment-5' }],
  'url_path': 'gear/gear-3/set-of-sprite-yoga-straps-2046.html'
})

export const createBundleProduct = (): Product => ({
  'id': 45,
  'sku': '24-WG080',
  'name': 'Sprite Yoga Companion Kit',
  'price': 0,
  'status': 1,
  'visibility': 4,
  'type_id': 'bundle',
  'product_links': [],
  'custom_attributes': null,
  'final_price': 64,
  'max_price': 77,
  'max_regular_price': 77,
  'minimal_regular_price': 64,
  'special_price': null,
  'minimal_price': 64,
  'regular_price': 64,
  'description': '<p>A well-rounded yoga workout takes more than a mat. The Sprite Yoga Companion Kit helps stock your studio with the basics you need for a full-range workout. The kit is composed of four best-selling Luma Sprite accessories in one easy bundle: statis ball, foam block, yoga strap, and foam roller. Choose sizes and colors and leave the rest to us. The kit includes:</p> <ul> <li> Sprite Statis Ball <li> Sprite Foam Yoga Brick <li> Sprite Yoga Strap <li> Sprite Foam Roller </ul>',
  'image': '/l/u/luma-yoga-kit-2.jpg',
  'small_image': '/l/u/luma-yoga-kit-2.jpg',
  'thumbnail': '/l/u/luma-yoga-kit-2.jpg',
  'category_ids': [3, 5],
  'url_key': 'sprite-yoga-companion-kit',
  'tax_class_id': '2',
  'slug': 'sprite-yoga-companion-kit-45',
  'stock': { 'item_id': 45, 'product_id': 45, 'stock_id': 1, 'qty': 0, 'is_in_stock': true, 'is_qty_decimal': false, 'show_default_notification_message': false, 'use_config_min_qty': true, 'min_qty': 0, 'use_config_min_sale_qty': 1, 'min_sale_qty': 1, 'use_config_max_sale_qty': true, 'max_sale_qty': 10000, 'use_config_backorders': true, 'backorders': 0, 'use_config_notify_stock_qty': true, 'notify_stock_qty': 1, 'use_config_qty_increments': true, 'qty_increments': 0, 'use_config_enable_qty_inc': true, 'enable_qty_increments': false, 'use_config_manage_stock': true, 'manage_stock': true, 'low_stock_date': null, 'is_decimal_divided': false, 'stock_status_changed_auto': 0 },
  'media_gallery': [{ 'image': '/l/u/luma-yoga-kit-2.jpg', 'pos': 1, 'typ': 'image', 'lab': 'Image', 'vid': null }],
  'bundle_options': [{ 'option_id': 1, 'title': 'Sprite Stasis Ball', 'required': true, 'type': 'radio', 'position': 1, 'sku': '24-WG080', 'product_links': [{ 'id': '1', 'sku': '24-WG081-blue', 'option_id': 1, 'qty': 1, 'position': 1, 'is_default': true, 'price': null, 'price_type': null, 'can_change_quantity': 1 }, { 'id': '2', 'sku': '24-WG082-blue', 'option_id': 1, 'qty': 1, 'position': 2, 'is_default': false, 'price': null, 'price_type': null, 'can_change_quantity': 1 }, { 'id': '3', 'sku': '24-WG083-blue', 'option_id': 1, 'qty': 1, 'position': 3, 'is_default': false, 'price': null, 'price_type': null, 'can_change_quantity': 1 }] }, { 'option_id': 2, 'title': 'Sprite Foam Yoga Brick', 'required': true, 'type': 'radio', 'position': 2, 'sku': '24-WG080', 'product_links': [{ 'id': '4', 'sku': '24-WG084', 'option_id': 2, 'qty': 1, 'position': 1, 'is_default': true, 'price': null, 'price_type': null, 'can_change_quantity': 1 }] }, { 'option_id': 3, 'title': 'Sprite Yoga Strap', 'required': true, 'type': 'radio', 'position': 3, 'sku': '24-WG080', 'product_links': [{ 'id': '5', 'sku': '24-WG085', 'option_id': 3, 'qty': 1, 'position': 1, 'is_default': true, 'price': null, 'price_type': null, 'can_change_quantity': 1 }, { 'id': '6', 'sku': '24-WG086', 'option_id': 3, 'qty': 1, 'position': 2, 'is_default': false, 'price': null, 'price_type': null, 'can_change_quantity': 1 }, { 'id': '7', 'sku': '24-WG087', 'option_id': 3, 'qty': 1, 'position': 3, 'is_default': false, 'price': null, 'price_type': null, 'can_change_quantity': 1 }] }, { 'option_id': 4, 'title': 'Sprite Foam Roller', 'required': true, 'type': 'radio', 'position': 4, 'sku': '24-WG080', 'product_links': [{ 'id': '8', 'sku': '24-WG088', 'option_id': 4, 'qty': 1, 'position': 1, 'is_default': true, 'price': null, 'price_type': null, 'can_change_quantity': 1 }] }],
  'category': [{ 'category_id': 3, 'name': 'Gear', 'slug': 'gear-3', 'path': 'gear/gear-3' }, { 'category_id': 5, 'name': 'Fitness Equipment', 'slug': 'fitness-equipment-5', 'path': 'gear/fitness-equipment/fitness-equipment-5' }],
  'url_path': 'gear/gear-3/sprite-yoga-companion-kit-45.html'
})
